/** @jsx jsx */
import { ReactNode } from 'react';
import { BasePrimitiveProps } from './types';
/**
 * @private
 * @deprecated DSP-8009: This type is scheduled for deletion.
 * Please use `Stack` from `@atlaskit/primitives` instead.
 */
export interface StackProps extends BasePrimitiveProps {
    /**
     * Used to align children along the cross axis.
     */
    alignItems?: FlexAlignItems;
    /**
     * Used to align children along the main axis.
     */
    justifyContent?: FlexJustifyContent;
    /**
     * Sets whether children are forced onto one line or can wrap onto multiple lines
     */
    flexWrap?: FlexWrap;
    /**
     * Token representing gap between children.
     */
    gap: RowGap;
    /**
     * Elements to be rendered inside the Stack.
     */
    children: ReactNode;
}
type FlexAlignItems = keyof typeof flexAlignItemsMap;
declare const flexAlignItemsMap: {
    center: import("@emotion/react").SerializedStyles;
    baseline: import("@emotion/react").SerializedStyles;
    flexStart: import("@emotion/react").SerializedStyles;
    flexEnd: import("@emotion/react").SerializedStyles;
    start: import("@emotion/react").SerializedStyles;
    end: import("@emotion/react").SerializedStyles;
};
type FlexJustifyContent = keyof typeof flexJustifyContentMap;
declare const flexJustifyContentMap: {
    center: import("@emotion/react").SerializedStyles;
    flexStart: import("@emotion/react").SerializedStyles;
    flexEnd: import("@emotion/react").SerializedStyles;
    start: import("@emotion/react").SerializedStyles;
    end: import("@emotion/react").SerializedStyles;
};
type FlexWrap = keyof typeof flexWrapMap;
declare const flexWrapMap: {
    wrap: import("@emotion/react").SerializedStyles;
};
/**
 * __Stack__
 *
 * Stack is a primitive component based on flexbox that manages the vertical layout of direct children.
 * Renders a `div` by default.
 *
 * @private
 * @deprecated DSP-8009: This primitive is scheduled for deletion.
 * Please use `Stack` from `@atlaskit/primitives` instead.
 *
 */
declare const Stack: import("react").MemoExoticComponent<import("react").ForwardRefExoticComponent<StackProps & import("react").RefAttributes<HTMLDivElement>>>;
export default Stack;
/**
 * THIS SECTION WAS CREATED VIA CODEGEN DO NOT MODIFY {@see http://go/af-codegen}
 * @codegen <<SignedSource::0e45f4f2d2cca413fcf2aadc0cc08de0>>
 * @codegenId spacing
 * @codegenCommand yarn codegen-styles
 * @codegenParams ["rowGap"]
 * @codegenDependency ../../../tokens/src/artifacts/tokens-raw/atlassian-spacing.tsx <<SignedSource::68f6bde7e6b186964ee53458284bbb90>>
 */
declare const rowGapMap: {
    'space.0': import("@emotion/react").SerializedStyles;
    'space.025': import("@emotion/react").SerializedStyles;
    'space.050': import("@emotion/react").SerializedStyles;
    'space.075': import("@emotion/react").SerializedStyles;
    'space.100': import("@emotion/react").SerializedStyles;
    'space.1000': import("@emotion/react").SerializedStyles;
    'space.150': import("@emotion/react").SerializedStyles;
    'space.200': import("@emotion/react").SerializedStyles;
    'space.250': import("@emotion/react").SerializedStyles;
    'space.300': import("@emotion/react").SerializedStyles;
    'space.400': import("@emotion/react").SerializedStyles;
    'space.500': import("@emotion/react").SerializedStyles;
    'space.600': import("@emotion/react").SerializedStyles;
    'space.800': import("@emotion/react").SerializedStyles;
};
export type RowGap = keyof typeof rowGapMap;
/**
 * @codegenEnd
 */
